Skip to main content

Create Member

POST
/member?k={**api_key**} &c={**client_guid**} or {**external_client_guid**}

Create a new member using credentials that merge a User with an Institution.

By setting the proper credentials, an Institution will be paired with a User. These credentials will be used when requesting data for the User from a data provider.

login and password are paired together. Alternatively, userkey can be used by itself for credentials.

Do not use the name parameter unless instructed to do so by MX.

Do not use the institution_guid parameter unless instructed to do so by MX.

Request Information

  • URL: /member?k={**api_key**} &c={**client_guid**} or {**external_client_guid**}
  • Request Type: POST
  • Request Header: Content-Type: application/json
  • Required Parameters:
    • external_user_guid or user_guid: identifies the user that the member belongs to
    • credentials: one or more credential field_name/response pairs must be supplied
  • Recommended Parameters:
    • external_member_guid: unique identifier for this member, must be unique within the client

Request sample

Language:text

_10
{
_10
"external_user_guid": "235-XXXX-83",
_10
"external_member_guid": "M-235-XXXX-83",
_10
"credentials": [
_10
{
_10
"field_name": "userkey",
_10
"response": "key123"
_10
}
_10
]
_10
}

Response sample

Language:text

_12
{
_12
"guid": "MBR-0deaa966-3f77-a8b9-3999-f2770280c80c",
_12
"institution_guid": "INS-01ed0eaf-6e75-f60c-985a-3a9fe9759a69",
_12
"user_guid": "USR-07230561-1bf5-fe0c-ed17-c08888150334",
_12
"name": "Expera Credit Union",
_12
"status": {
_12
"status": 1,
_12
"name": "ENABLED",
_12
"message": ""
_12
},
_12
"external_member_guid": "M-235-XXXX-83"
_12
}